> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Super Nodes

> List all super nodes published for this team.

Returns all active published super nodes across all workflow versions.
Multiple entries for the same workflow ID may appear if different versions
have been published.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/workflows/api.json get /workflows/v1/super-nodes
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /workflows/v1/super-nodes:
    get:
      tags:
        - Super Nodes
      summary: List Super Nodes
      description: >-
        List all super nodes published for this team.


        Returns all active published super nodes across all workflow versions.

        Multiple entries for the same workflow ID may appear if different
        versions

        have been published.
      operationId: workflow_service_list_super_nodes_v1_super_nodes_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SuperNodeSummary'
                type: array
                title: Response List Super Nodes V1 Super Nodes Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearer: []
components:
  schemas:
    SuperNodeSummary:
      properties:
        workflow_id:
          type: string
          title: Workflow Id
          description: MongoDB ObjectId of the encapsulated workflow
        workflow_version_number:
          anyOf:
            - type: integer
            - type: 'null'
          title: Workflow Version Number
          description: Version number of the workflow snapshot this super node represents
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Super node display name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Super node description
        num_input_fields:
          type: integer
          title: Num Input Fields
          description: Number of input fields declared in the interface
      type: object
      required:
        - workflow_id
        - num_input_fields
      title: SuperNodeSummary
      description: Lightweight representation of a published super node.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````